Skip to content

Claim conversation

Request

Claim a conversation for a given agent. To avoid taking over assigned conversations, set the force paremeter to false

Security
ApiKeyAuth
Path
conversationIdinteger, (int64)required
Bodyapplication/jsonrequired
agentIdstring, (uuid)required

The id of the agent who is claiming the conversation

forceboolean

Set as false to avoid taking over the conversation if it is already assigned to an agent

PUT
/v1/conversations/{conversationId}/claim
curl -i -X PUT \
  'https://dev.dixa.io/v1/conversations/{conversationId}/claim' \
  -H 'Authorization: YOUR_API_KEY_HERE' \
  -H 'Content-Type: application/json' \
  -d '{
    "agentId": "5a556159-9c21-4f3e-a44f-d323deb80d16",
    "force": false
  }'

Responses

The conversation was successfully claimed

Response
No content